//
//  MTLSegmentedControl.h
//  EnablerTest
//
//  Created by narita on 2013/01/18.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "NSObject(MTLControlItemEnabler).h"

@interface MTLSegmentedControl : NSSegmentedControl <MTLControlItemEnablerProtocol>

#pragma mark -
#pragma mark class methods

#pragma mark -
#pragma mark init methods

#pragma -
#pragma mark dealloc

#pragma mark -
#pragma mark NSCopying, hash, isEqual:

#pragma mark -
#pragma mark NSCoding methods

#pragma mark -
#pragma mark awakeFromNib-like methods

#pragma mark -
#pragma mark action & canAction methods

#pragma mark -
#pragma mark delegate/datasource methods

#pragma mark -
#pragma mark accessor methods (in pairs)

- (NSInteger) selectedTag;

#pragma mark -
#pragma mark Utility methods

/*!
 @method     updateEnableState
 @abstract   enabledの値をtarget-actionを参考にアップデートする
 @discussion
 */
- (void) updateEnableState;

@end
