//
//  CCAppDelegate.m
//  CurrencyConverter
//
//  Created by narita on 2013/01/24.
//  Copyright (c) 2013年 narita. All rights reserved.
//

#import "CCAppDelegate.h"

@implementation CCAppDelegate

@synthesize amountField;
@synthesize dollarField;
@synthesize rateField;

@synthesize model;

- (void)applicationDidFinishLaunching:(NSNotification *)notification
{
    self.model = [[[CCModel alloc] init] autorelease];
}

- (void) dealloc
{
    self.model = nil;
    
    [super dealloc];
}

- (IBAction)convert:(id)sender
{
    float theAmount;
        
    [model setSourceCurrencyAmount:[dollarField floatValue]];
    [model setRate:[rateField floatValue]];
    
    theAmount = [model convertCurrency];
    
    [amountField setFloatValue:theAmount];
    
    [rateField selectText:self];
}

@end
